/**
 * Copyright (C) 2007 - Bull S.A.S.
 *
 * CAROL: Common Architecture for RMI ObjectWeb Layer
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JInitializerWrapper.java 1466 2007-10-31 10:21:44Z loris $
 * --------------------------------------------------------------------------
 */

package org.ow2.carol.rmi.jrmp.interceptor.wrapper;

import org.ow2.carol.rmi.jrmp.interceptor.api.JInitInfo;
import org.ow2.carol.rmi.jrmp.interceptor.spi.JInitializer;


@SuppressWarnings("deprecation")
public final class JInitializerWrapper implements JInitializer {

    private final org.objectweb.carol.rmi.jrmp.interceptor.JInitializer oldJInit;

    public JInitializerWrapper(final org.objectweb.carol.rmi.jrmp.interceptor.JInitializer oldJInit) {
        this.oldJInit = oldJInit;
    }

    public void post_init(final JInitInfo info) {
        oldJInit.post_init(new JInitInfoWrapper(info));
    }

    public void pre_init(final JInitInfo info) {
        oldJInit.pre_init(new JInitInfoWrapper(info));
    }

}
